# Class ContextHelpDialog

java.lang.Object
org.eclipse.help.ui.internal.ContextHelpDialog

public class ContextHelpDialog extends Object
ContextHelpDialog

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ContextHelpDialog.Description`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`infopopText`
`protected Shell`
`parentShell`
`protected Shell`
`shell`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`protected Control`
`createContents(Composite contents)`
`boolean`
`isShowing()`
`protected void`
`launchLinks(IHelpResource selectedTopic)`
Called when related link has been chosen Opens help viewer with list of all related topics
`void`
`open()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### parentShell

protected Shell parentShell

### shell

protected Shell shell

### infopopText

protected String infopopText

## Method Details

### close

public void close()

### createContents

protected Control createContents(Composite contents)

### launchLinks

protected void launchLinks(IHelpResource selectedTopic)
Called when related link has been chosen Opens help viewer with list of all related topics

### open

public void open()

### isShowing

public boolean isShowing()